import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiComputeDiskAttachResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeDiskAttachProtocol(_base.BasePostAPIFunctionProtocol):
    def disk_attach(
        self,
        *,
        vm_id: int,
        disk_id: int,
        disk_type: _nested.DiskType = _nested.DiskType.D,
        pci_slot_num_hex: str | None = None,
        bus_num_hex: str | None = None,
    ) -> CloudapiComputeDiskAttachResultBool:
        ...
